#!/bin/sh
# ffpip von ice32

ffmpid=$(pidof ffmpeg)
osd_res=$(pzapit -osd)
channel=$(pzapit -gi | awk '{print $1}')
ip_box=$(ifconfig |grep -m 1 'inet addr'| cut -d':' -f2| awk '{print $1}')
port=31339

x_scale=6*80
y_scale=4.5*80/1.3
x_pos=15
x_offset=1920-"$x_scale"-"$x_pos"

if [ -n "$ffmpid" ]; then
    kill -TERM "$ffmpid"
else
    if [[ "$osd_res" == 0 ]]; then
	x_scale=320
	y_scale=240
	x_offset=1280-"$x_scale"-"$x_pos"
    fi
    nice -n -1 ffmpeg -nostdin -loglevel panic -fflags +genpts -i http://"$ip_box":"$port"/id="$channel" \
    -map 0:v -c:v rawvideo -vf scale="$x_scale":"$y_scale":force_original_aspect_ratio=disable \
    -f:v yadif=0:0:0 -sws_flags fast_bilinear \
    -vsync -1 -an -sn -dn \
    -r 25 -pix_fmt bgra -yoffset 15 -xoffset "$x_offset" \
    -threads 2 -f fbdev /dev/fb0 \
     &
fi

exit 0
